# $Revision: 1.6.2.5 $, $Date: 2006/06/08 10:46:46 $
Summary:	SoundTouch - sound processing library
Summary(pl):	SoundTouch - biblioteka do przetwarzania dwiku
Name:		soundtouch
Version:	1.3.1
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://www.surina.net/soundtouch/%{name}-%{version}.tar.gz
# Source0-md5:	5e0185e81dbba2f2eed8581b7664ab04
Patch0:		%{name}-optflags.patch
Patch1:		%{name}-link.patch
URL:		http://www.surina.net/soundtouch/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# gcc runs out of regs in mmx_gcc.cpp
%define		specflags_ia32	-fomit-frame-pointer

%description
SoundTouch is a library for changing tempo, pitch and playback rate of
digital sound.

%description -l pl
SountTouch jest bibliotek do zmiany tempa, wysokoci i czstotliwoci
odtwarzania dwiku cyfrowego.

%package devel
Summary:	Header files for SoundTouch library
Summary(pl):	Pliki nagwkowe biblioteki SoundTouch
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for SoundTouch library.

%description devel -l pl
Pliki nagwkowe biblioteki SoundTouch.

%package static
Summary:	Static SoundTouch library
Summary(pl):	Statyczna biblioteka SoundTouch
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SoundTouch library.

%description static -l pl
Statyczna biblioteka SoundTouch.

%package soundstretch
Summary:	SoundStretch - sound processing application
Summary(pl):	SoundStretch - aplikacja do przetwarzania dwiku
Group:		Applications/Sound
URL:		http://sky.prohosting.com/oparviai/soundtouch/soundstretch.html
Requires:	%{name} = %{version}-%{release}

%description soundstretch
SoundStretch is a command-line application for changing tempo, pitch
and playback rates of WAV sound files. This program also demonstrates
how the "SoundTouch" library can be used to process sound in own
programs.

%description soundstretch -l pl
SoundStretch to dziaajca z linii polece aplikacja do zmiany tempa,
wysokoci i czstotliwoci odtwarzania plikw dwikowych WAV. Ten
program ma take by przykadem, jak mona wykorzystywa bibliotek
SoundTouch do przetwarzania dwiku we wasnych programach.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# kill DOS eols
%{__perl} -pi -e 's/\r$//' soundtouch.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.html
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/soundtouch
%{_aclocaldir}/soundtouch.m4
%{_pkgconfigdir}/soundtouch-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files soundstretch
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/soundstretch

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: soundtouch.spec,v $
Revision 1.6.2.5  2006/06/08 10:46:46  hawk
- release 4

Revision 1.6.2.4  2006/06/08 08:06:35  hawk
- reverted ifarch %{ix86} %{x8664} for patch0

Revision 1.6.2.3  2006/06/08 07:44:40  hawk
- -msse from optflags.patch breaks alpha, ppc and sparc build, apply
  it only on %{ix86} and %{x8664}
- release 3

Revision 1.6.2.2  2006/06/07 22:00:20  hawk
- release 2

Revision 1.6.2.1  2006/06/02 17:11:00  freetz
- merged changes from HEAD

Revision 1.8  2006/05/21 18:14:39  qboosh
- updated to 1.3.1, new URLs
- updated optflags patch, removed obsolete am18 patch

Revision 1.7  2005/05/03 13:40:17  qboosh
- use redirect address as URL (as README.html states)

Revision 1.6  2005/05/03 10:37:41  qboosh
- updated to 1.3.0, new URLs, added am18,optflags,link patches

Revision 1.5  2004/04/11 11:09:48  qboosh
- strict internal deps

Revision 1.4  2003/10/08 19:20:23  qboosh
- updated to 1.1.1

Revision 1.3  2003/09/29 22:13:27  adamg
- BR: unzip

Revision 1.2  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.1  2003/07/15 19:12:59  qboosh
- new
